/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.gui.controladores.esquemaoperacional;

import java.util.ArrayList;
import java.util.List;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Controller;
import org.zkoss.zk.ui.Component;
import org.zkoss.zk.ui.Executions;
import org.zkoss.zul.Button;

import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.vo.esquemaoperacional.TarefaGeracaoCorridaVO;
import com.rjconsultores.ventaboletos.web.utilerias.MyGenericForwardComposer;
import com.rjconsultores.ventaboletos.web.utilerias.MyListbox;
import com.rjconsultores.ventaboletos.web.utilerias.render.RenderTarefaGeracaoCorridaVO;

@Controller("logGeracaoCorridaViaConfServicosController")
@Scope("prototype")
public class LogGeracaoCorridaViaConfServicosController extends MyGenericForwardComposer {

	private static final long serialVersionUID = 1L;

	private MyListbox tarefasList;
	private MyListbox errosList;

	private Button btnFechar;

	private Empresa empresa;

	@Override
	public void doAfterCompose(Component comp) throws Exception {

		super.doAfterCompose(comp);

		tarefasList.setItemRenderer(new RenderTarefaGeracaoCorridaVO());
		@SuppressWarnings("unchecked")
		List<TarefaGeracaoCorridaVO> tarefaSucessoList = (List<TarefaGeracaoCorridaVO>) Executions.getCurrent().getArg()
				.get("tarfaSucesso");
		if (tarefaSucessoList == null) {
			tarefaSucessoList = new ArrayList<TarefaGeracaoCorridaVO>();
		}
		tarefasList.setData(tarefaSucessoList);

		errosList.setItemRenderer(new RenderTarefaGeracaoCorridaVO());
		@SuppressWarnings("unchecked")
		List<TarefaGeracaoCorridaVO> tarefaErroList = (List<TarefaGeracaoCorridaVO>) Executions.getCurrent().getArg()
				.get("tarefaErros");
		if (tarefaErroList == null) {
			tarefaErroList = new ArrayList<TarefaGeracaoCorridaVO>();
		}
		errosList.setData(tarefaErroList);

	}

	public MyListbox getTarefasList() {
		return tarefasList;
	}

	public void setTarefasList(MyListbox tarefasList) {
		this.tarefasList = tarefasList;
	}

	public MyListbox getErrosList() {
		return errosList;
	}

	public void setErrosList(MyListbox errosList) {
		this.errosList = errosList;
	}

	public Empresa getEmpresa() {
		return empresa;
	}

	public void setEmpresa(Empresa empresa) {
		this.empresa = empresa;
	}

	public Button getBtnFechar() {
		return btnFechar;
	}

	public void setBtnFechar(Button btnFechar) {
		this.btnFechar = btnFechar;
	}

}
